编译安装软件问题

为当前最终发行版之前的所有版本提供支持
回复
lz_yq
帖子: 5
注册时间: 2006-04-18 14:04
送出感谢: 0
接收感谢: 0

编译安装软件问题

#1

帖子 lz_yq » 2006-04-18 14:11

1、由于ubuntu不是rpm那样管理软件包的,所以不能下载rpm的包来安装,后来才知道deb的包。不说这个,应为deb的比较少,所以我找了一些如apache的源码的包来安装。

下载后,tar 解压,然后./configure 编译,提示没有gcc

2、我安装gcc 的方法 #apt-get install gcc
提示了一些信息,显示gcc安装完毕。我在shell下输入 gcc -v 提示gcc的版本云云,应该安装成功了不吧。

3、问题来了,我重新去编译软件,./configure 结果变了,不是没有gcc,而是编译提示了几行后,提示大概意思是没有c 编译器的默认输出文件等等,没记住提示什么内容。我分别安装其他的几个软件也不行。

我想问的是,我在ubuntu下可以编译安装源码包么?我想编译安装scim,因为我没有中文输入法。我下载deb的包安装也没有输入法。我按照wiki介绍的方法安装中文输入法也不行。所以我决定用源码安装的,这也是我所知道的最后一种安装方法了。
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#2

帖子 Tenyears » 2006-04-18 14:57

1 你再试试直接安装输入法

2 sudo apt-get install build-essential
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
lz_yq
帖子: 5
注册时间: 2006-04-18 14:04
送出感谢: 0
接收感谢: 0

#3

帖子 lz_yq » 2006-04-19 11:39

我还是想知道如何编译安装。因为好多软件没有deb的包,但是都有源码包,所以我想知道为什么ubuntu在编译的时候提示没有c编译器的错误。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-04-19 12:29

sudo apt-get install build-essential
安装编译环境
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
lz_yq
帖子: 5
注册时间: 2006-04-18 14:04
送出感谢: 0
接收感谢: 0

#5

帖子 lz_yq » 2006-04-20 9:12

thank you !
回复

回到 “老旧版本支持”